# reloadPlacementForced

### Overview <a href="#markdown-header-overview" id="markdown-header-overview"></a>

Requests placement reload. Works only if automatic reloading is disabled.

### Syntax <a href="#markdown-header-syntax" id="markdown-header-syntax"></a>

```javascript
reloadPlacementForced(placementName, forced, callback)
```

placementName **(REQUIRED)**

*string* Unique name of placement. The same name will be used in gravite.net account.

forced **(REQUIRED)**

*boolean* If true, the placement will be reloaded even if other requirements like the minimum display time are not met.

callback **(REQUIRED)**

*Callback\<Boolean>* Used to provide the function call result to JavaScript.

Parameters:

* Boolean - True if call ends in causing a placement to reload, false otherwise.

### Examples <a href="#markdown-header-examples" id="markdown-header-examples"></a>

```javascript
AATKitCordova.reloadPlacementForced("BannerPlacement", true, (placementReloaded) => {
                console.log("placementReloaded " + placementReloaded);
            });
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aatkit.gitbook.io/aatkit-cordova-integration/other/reference/functions/reloadplacementforced.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
